%define shortname gdamm
%define origname libgdamm
%define rel 12
# api is the part of the library name before the .so
%define api 3.0
# major is the part of the library name after the .so
%define major 10
%define lib_name %mklibname %{shortname} %{api} %{major}
%define develname %mklibname gdamm %{api} -d

Name:           libgdamm3

#(!) summary for SRPM only
Summary:        C++ wrappers for libgda
Version:        3.0.0
Group: 		System/Libraries
License:	GPLv2+
Release:        %mkrel %rel
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/libgdamm/2.9/%{origname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires:  glibmm2.4-devel, gda2.0-devel

#Full and generic description of the whole package. (this will be the SRPM
#description only)
%description
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

#main package (contains ''.so.[major].''' only)
%package -n     %{lib_name}

#(!) summary for main lib RPM only
Summary:        Main library for gdamm
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:	%mklibname gdamm 3.0

%description -n %{lib_name}
C++ wrappers for libgda. libgdamm is part of a set of powerful
C++ bindings for the GNOME libraries, which provide additional
functionality above GTK+/gtkmm.

%package -n     %{develname}
Summary:        Headers for developing programs that will use gda
Group:          Development/GNOME and GTK+
Requires:       %{lib_name} = %{version}
#(!) '''''MANDATORY'''''
Provides:       %{lib_name}-devel = %{version}-%{release}
#(!) '''''MANDATORY'''''
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d gdamm 3.0 8
Obsoletes:	%mklibname -d gdamm 3.0 10

%description -n %{develname}
This package contains headers and libraries that programmers will need
to develop applications which use libgdamm.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure2_5x --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
# ..
# include the major number (and api if present) in the file list to catch
#changes on version upgrade
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/lib*-%{api}.so.%{major}*

%files -n %{develname}
%{_includedir}/libgdamm-3.0
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libgdamm-3.0
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 3.0.0-12mdv2009.0
+ Revision: 264238
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix srpm description (extra spacing due to comments)

* Wed Jun 25 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-11mdv2009.0
+ Revision: 229064
- drop libmajor for devel package name

* Wed Jun 25 2008 Funda Wang <fundawang@mandriva.org> 3.0.0-10mdv2009.0
+ Revision: 229056
- New version 3.0.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 2.9.81-2mdv2008.1
+ Revision: 161693
- obsoletes old devel package

* Sun Feb 03 2008 Funda Wang <fundawang@mandriva.org> 2.9.81-1mdv2008.1
+ Revision: 161690
- fix libname
- New version 2.9.81

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 09 2007 Jérôme Soyer <saispo@mandriva.org> 2.9.8-1mdv2008.1
+ Revision: 96213
- import libgdamm3


